> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Create algo order

POST https://api.prod.paradex.trade/v1/algo/orders
Content-Type: application/json

Create a new algo order

### TWAP

TWAP orders break a large trade into smaller ones over time to reduce market impact:
- Sub-orders are placed every 30 seconds.
- Order duration is between 30 and 86,400 seconds, in multiples of 30.
- Supported sub order type: MARKET


Reference: https://docs.paradex.trade/api/prod/algos/create-order

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a requests.AlgoOrderRequest.

- `algo_type` (string, required) — Algo type, required for algo orders creation
- `duration_seconds` (integer, required) — Duration in seconds for which the algo order will be running, required for algo orders creation
- `market` (string, required) — Market for which order is created
- `side` (enum, required) — Algo order side
  - Allowed values: `BUY`, `SELL`
- `signature` (string, required) — Order signature in as a string "[r,s]" signed by account's paradex private key
- `signature_timestamp` (integer, required) — Unix timestamp in milliseconds of order creation, used for signature verification
- `size` (string, required) — Size of the algo order
- `type` (enum, required) — Algo order type, only MARKET is supported
  - Allowed values: `MARKET`, `LIMIT`, `STOP_LIMIT`, `STOP_MARKET`, `TAKE_PROFIT_LIMIT`, `TAKE_PROFIT_MARKET`, `STOP_LOSS_MARKET`, `STOP_LOSS_LIMIT`
- `dime_discount` (boolean, optional) — If true, child-order fees are charged in DIME with the DIME discount applied; falls back to USDC if balance is insufficient
- `frequency` (integer, optional) — Interval in seconds between child orders (default: 30)
- `on_behalf_of_account` (string, optional) — ID corresponding to the configured isolated margin account. Only for isolated margin orders
- `recv_window` (integer, optional) — Order will be created if it is received by API within RecvWindow milliseconds from signature timestamp, minimum is 10 milliseconds

## Response

### 201

Created

- `account` (string, optional) — Account identifier (user's account address)
- `algo_params` (map from string to string, optional) — Type-specific algo parameters
- `algo_type` (enum, optional) — Algo type
  - Allowed values: ``, `TWAP`
- `avg_fill_price` (string, optional) — Average fill price of the order
- `cancel_reason` (string, optional) — Reason for algo cancellation if it was closed by cancel
- `created_at` (integer, optional) — Algo creation time
- `end_at` (integer, optional) — Algo end time
- `id` (string, optional) — Unique algo identifier
- `last_updated_at` (integer, optional) — Algo last update time. No changes once status=CLOSED
- `market` (string, optional) — Market to which algo belongs
- `remaining_size` (string, optional) — Remaining size of the algo
- `side` (enum, optional) — Algo side
  - Allowed values: `BUY`, `SELL`
- `size` (string, optional) — Algo size
- `status` (enum, optional) — Algo status
  - Allowed values: `NEW`, `UNTRIGGERED`, `OPEN`, `CLOSED`

## Errors

### 400 Bad Request Error

Bad Request

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `MEDIA_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `EVM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `MARKET_NOT_SETTLED`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `VAULT_DATA_PRIVATE`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INSUFFICIENT_EVM_BALANCE`, `PORTFOLIO_MARGIN_ONBOARDING_DISABLED`, `PORTFOLIO_MARGIN_INVALID_ACCOUNT_KIND`, `EVM_VAULT_OPERATORS_DISABLED`, `INVALID_EVM_SIGNATURE`, `EVM_SIGNATURE_VERIFICATION_FAILED`, `INVALID_SUBKEY`, `SUBKEY_NOT_ACTIVATABLE`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `IP_NOT_ALLOWED`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`, `XP_TRANSFERS_DISABLED`, `BLOCK_TRADE_NOT_FOUND`, `BLOCK_TRADE_NOT_ENABLED`, `BLOCK_TRADE_EXPIRED`, `BLOCK_TRADE_ALREADY_CANCELLED`, `BLOCK_TRADE_INVALID_STATUS`, `BLOCK_TRADE_UNAUTHORIZED`, `BLOCK_TRADE_MISSING_TRADES`, `BLOCK_TRADE_MISSING_SIGNERS`, `BLOCK_TRADE_MISSING_SIGNATURE`, `BLOCK_TRADE_ACCOUNT_MISMATCH`, `BLOCK_TRADE_INVALID_SIGNATURE`, `BLOCK_TRADE_SIGNER_KEY_UNAUTHORIZED`, `BLOCK_TRADE_REPLAYED_SIGNATURE`, `BLOCK_TRADE_SELF_TRADE`, `OFFER_ALREADY_CANCELLED`, `OFFER_INVALID_STATUS`, `OFFER_UNAUTHORIZED`, `OFFER_PARENT_MISMATCH`, `OFFER_PARENT_NOT_ACCEPTING`, `PORTFOLIO_MARGIN_CONFIG_NOT_FOUND`, `MARGIN_CONFIG_NOT_FOUND`, `MMP_CONFIG_INVALID`, `MMP_NOT_ENABLED`, `MMP_MIN_FREEZE_NOT_ELAPSED`, `MMP_NOT_CONFIGURED`
- `message` (string, optional) — detailed description of error and how to address it

## Types

### ResponsesApiErrorData

any additional data related to the error

## Examples

**Request**

```json
{
  "algo_type": "TWAP",
  "duration_seconds": 3600,
  "market": "BTC-USD-PERP",
  "side": "BUY",
  "signature": "string",
  "signature_timestamp": 1,
  "size": "1.213",
  "type": "MARKET"
}
```

**Response**

```json
{
  "account": "0x4638e3041366aa71720be63e32e53e1223316c7f0d56f7aa617542ed1e7512",
  "algo_params": {},
  "algo_type": "TWAP",
  "avg_fill_price": "26000",
  "cancel_reason": "NOT_ENOUGH_MARGIN",
  "created_at": 1681493746016,
  "end_at": 1681493746016,
  "id": "123456",
  "last_updated_at": 1681493746016,
  "market": "BTC-USD-PERP",
  "remaining_size": "0",
  "side": "BUY",
  "size": "0.05",
  "status": "NEW"
}
```

**SDK Code**

```python
import requests
headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {JWT}'
}

r = requests.post('https://api.prod.paradex.trade/v1/algo/orders', headers = headers)

print(r.json())

```

```javascript
const inputBody = {
  "algo_type": "TWAP",
  "duration_seconds": 3600,
  "market": "BTC-USD-PERP",
  "side": "MARKET",
  "signature": "string",
  "signature_timestamp": 0,
  "size": "1.213",
  "type": "MARKET"
};
const headers = {
  'Content-Type':'application/json',
  'Accept':'application/json',
  'Authorization':'Bearer {JWT}'
};

fetch('https://api.prod.paradex.trade/v1/algo/orders',
{
  method: 'POST',
  body: inputBody,
  headers: headers
})
.then(function(res) {
    return res.json();
}).then(function(body) {
    console.log(body);
});

```

```go
package main
import (
      "bytes"
      "net/http"
)

func main() {

    headers := map[string][]string{
        "Content-Type": []string{"application/json"},
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {JWT}"},
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("POST", "https://api.prod.paradex.trade/v1/algo/orders", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}

```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prod.paradex.trade/v1/algo/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"algo_type\": \"TWAP\",\n  \"duration_seconds\": 3600,\n  \"market\": \"BTC-USD-PERP\",\n  \"side\": \"BUY\",\n  \"signature\": \"string\",\n  \"signature_timestamp\": 1,\n  \"size\": \"1.213\",\n  \"type\": \"MARKET\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.prod.paradex.trade/v1/algo/orders")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"algo_type\": \"TWAP\",\n  \"duration_seconds\": 3600,\n  \"market\": \"BTC-USD-PERP\",\n  \"side\": \"BUY\",\n  \"signature\": \"string\",\n  \"signature_timestamp\": 1,\n  \"size\": \"1.213\",\n  \"type\": \"MARKET\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.prod.paradex.trade/v1/algo/orders', [
  'body' => '{
  "algo_type": "TWAP",
  "duration_seconds": 3600,
  "market": "BTC-USD-PERP",
  "side": "BUY",
  "signature": "string",
  "signature_timestamp": 1,
  "size": "1.213",
  "type": "MARKET"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prod.paradex.trade/v1/algo/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"algo_type\": \"TWAP\",\n  \"duration_seconds\": 3600,\n  \"market\": \"BTC-USD-PERP\",\n  \"side\": \"BUY\",\n  \"signature\": \"string\",\n  \"signature_timestamp\": 1,\n  \"size\": \"1.213\",\n  \"type\": \"MARKET\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "algo_type": "TWAP",
  "duration_seconds": 3600,
  "market": "BTC-USD-PERP",
  "side": "BUY",
  "signature": "string",
  "signature_timestamp": 1,
  "size": "1.213",
  "type": "MARKET"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/algo/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```